<?php
/*
Plugin Name: Geroz Core
Plugin URI: https://modinathemes.com/geroz/
Description: Plugin to contain short codes and custom post types of the Geroz theme.
Author: themedevo
Author URI: https://themeforest.net/user/themedevo/portfolio
Version: 1.0.0
Text Domain: geroz-core
*/


/**
 * If this file is called directly, abort.
 * @package geroz
 * @since 1.0.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}


/**
 * Plugin directory path
 * @package geroz
 * @since 1.0.0
 */
define( 'GEROZ_CORE_ROOT_PATH', plugin_dir_path( __FILE__ ) );
define( 'GEROZ_CORE_ROOT_URL', plugin_dir_url( __FILE__ ) );
define( 'GEROZ_CORE_SELF_PATH', 'geroz-core/geroz-core.php' );
define( 'GEROZ_CORE_VERSION', '1.0.0' );
define( 'GEROZ_CORE_INC', GEROZ_CORE_ROOT_PATH .'/inc');
define( 'GEROZ_CORE_LIB', GEROZ_CORE_ROOT_PATH .'/lib');
define( 'GEROZ_CORE_ELEMENTOR', GEROZ_CORE_ROOT_PATH .'/elementor');
define( 'GEROZ_CORE_DEMO_IMPORT', GEROZ_CORE_ROOT_PATH .'/demo-import');
define( 'GEROZ_CORE_ADMIN', GEROZ_CORE_ROOT_PATH .'/admin');
define( 'GEROZ_CORE_ADMIN_ASSETS', GEROZ_CORE_ROOT_URL .'admin/assets');
define( 'GEROZ_CORE_WP_WIDGETS', GEROZ_CORE_ROOT_PATH .'/wp-widgets');
define( 'GEROZ_CORE_ASSETS', GEROZ_CORE_ROOT_URL .'assets/');
define( 'GEROZ_CORE_CSS', GEROZ_CORE_ASSETS .'css');
define( 'GEROZ_CORE_JS', GEROZ_CORE_ASSETS .'js');
define( 'GEROZ_CORE_IMG', GEROZ_CORE_ASSETS .'img');


/**
 * Load additional helpers functions
 * @package geroz
 * @since 1.0.0
 */
if (!function_exists('geroz_core')){
	require_once GEROZ_CORE_INC .'/theme-core-helper-functions.php';
	if (!function_exists('geroz_core')){
		function geroz_core(){
			return class_exists('Geroz_Core_Helper_Functions') ? new Geroz_Core_Helper_Functions() : false;
		}
	}
}
//ob flash
remove_action( 'shutdown', 'wp_ob_end_flush_all', 1 );


/**
 * Load Codestar Framework Functions
 * @package geroz
 * @since 1.0.0
 */
if ( !geroz_core()->is_geroz_active()) {
	if ( file_exists( GEROZ_CORE_ROOT_PATH . '/inc/csf-functions.php' ) ) {
		require_once GEROZ_CORE_ROOT_PATH . '/inc/csf-functions.php';
	}
}



/**
 * Core Plugin Init
 * @package geroz
 * @since 1.0.0
 */
if ( file_exists( GEROZ_CORE_ROOT_PATH . '/inc/theme-core-init.php' ) ) {
	require_once GEROZ_CORE_ROOT_PATH . '/inc/theme-core-init.php';
}